Bug 200436 - Review Request: gaim-gadugadu - Gadu-Gadu support in Gaim IM client
Review Request: gaim-gadugadu - Gadu-Gadu support in Gaim IM client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 205127
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-27 13:21 EDT by Piotr Drąg
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 17:30:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Drąg 2006-07-27 13:21:37 EDT
Spec URL: http://pmail.pl/~raven/gaim-gadugadu.spec
SRPM URL: http://pmail.pl/~raven/gaim-gadgadu-2.0.0-0.7.beta3.src.rpm
Description:

Hi, it's one of my first packages and I'm looking for sponsor. :)

gaim-gadugadu package allows you to use Gadu-Gadu protocol in Gaim
instant messaging client.
Comment 1 Michał Bentkowski 2006-07-28 07:27:53 EDT
I think you should try to make spec file less complicated. The only thing
we need to compile is gg protocol, so we don't need to compile any other things.
After configure, you can go to src/protocols/gg and make build only in this
directory. Think about it :)
Comment 2 Piotr Drąg 2006-07-28 13:19:26 EDT
Thanks, new spec and SRPM:
Spec URL: http://pmail.pl/~raven/gaim-gadugadu.spec
SRPM URL: http://pmail.pl/~raven/gaim-gadgadu-2.0.0-0.8.beta3.src.rpm
Comment 3 Piotr Drąg 2006-07-28 13:26:20 EDT
Sorry, bad SRPM name, it shoud be:
http://pmail.pl/~raven/gaim-gadugadu-2.0.0-0.8.beta3.src.rpm
Comment 4 Michał Bentkowski 2006-09-13 12:49:29 EDT
Okay, I'll review it:

MUST items:
 * rpmlint output:
W: gaim-gadugadu incoherent-version-in-changelog 2:2.0.0-0.8.beta3.1 2.0.0-
0.8.beta3
W: gaim-gadugadu no-documentation
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with GPL license
 * License field matches the actual license
 * license is not included in %doc (see THINGS to do)
 * md5sums of sources are matching
 * spec file is legible and is written in American English
 * package successfully compile on x86_64
 * build dependencies...?
 * no locales
 * package has good %post and %postun sections
 * not relocatable
 * package doesn't own any directories
 * no duplicates in %files
 * permissions are set properly
 * package has proper %clean section
 * package handles macros well
 * no need to -doc subpackage
 * no need to -devel subpackage
 * no .pc files
 * .la libtool archives excluded properly


THINGS to do:
 * change version in changelog entry
 * add some documentation (at least COPYING)

and mock builds fine.
Just fix things mentioned above and I'll approve it.
Comment 5 Michał Bentkowski 2006-09-13 12:53:02 EDT
Don't care about the question mark after "build dependencies"...
These dependencies are OK :)
Comment 7 Michał Bentkowski 2006-09-14 12:50:54 EDT
Approved.
Comment 8 Piotr Drąg 2006-09-14 17:33:08 EDT
devel created and built successfully, closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.